> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Graph Entity

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json get /admin/v1/item-graph/entities/{id}
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/item-graph/entities/{id}:
    get:
      tags:
        - admin
      summary: Get Graph Entity
      operationId: getGraphEntity
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultGraphEntityDetailView'
components:
  schemas:
    SuccessResultGraphEntityDetailView:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/GraphEntityDetailView'
    GraphEntityDetailView:
      type: object
      properties:
        entity:
          $ref: '#/components/schemas/EntityView'
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/AliasView'
        mentionCount:
          type: integer
          format: int64
        topMentionedItemIds:
          type: array
          items:
            type: integer
            format: int64
        topCooccurrences:
          type: array
          items:
            $ref: '#/components/schemas/CooccurrenceView'
        entityOverlapItemLinkCount:
          type: integer
          format: int64
    EntityView:
      type: object
      properties:
        id:
          type: integer
          format: int32
        memoryId:
          type: string
        userId:
          type: string
        agentId:
          type: string
        entityKey:
          type: string
        displayName:
          type: string
        entityType:
          type: string
        metadata:
          type: object
          additionalProperties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    AliasView:
      type: object
      properties:
        id:
          type: integer
          format: int32
        memoryId:
          type: string
        userId:
          type: string
        agentId:
          type: string
        entityKey:
          type: string
        entityType:
          type: string
        normalizedAlias:
          type: string
        evidenceCount:
          type: integer
          format: int32
        metadata:
          type: object
          additionalProperties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    CooccurrenceView:
      type: object
      properties:
        id:
          type: integer
          format: int32
        memoryId:
          type: string
        userId:
          type: string
        agentId:
          type: string
        leftEntityKey:
          type: string
        rightEntityKey:
          type: string
        cooccurrenceCount:
          type: integer
          format: int32
        metadata:
          type: object
          additionalProperties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time

````